<!-- <ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content" type="overlay">
      <ion-content>
        <ion-list id="inbox-list">
          <ion-list-header>Inbox</ion-list-header>
          <ion-note>hi@ionicframework.com</ion-note>

          <ion-menu-toggle auto-hide="false" *ngFor="let p of appPages; let i = index">
            <ion-item routerDirection="root" [routerLink]="[p.url]" lines="none" detail="false" routerLinkActive="selected">
              <ion-icon slot="start" [ios]="p.icon + '-outline'" [md]="p.icon + '-sharp'"></ion-icon>
              <ion-label>{{ p.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
 -->

<ion-app>
  <ion-content>
    <form class="content-login" [formGroup]="form" (ngSubmit)="onSubmit()">
      <div class="content">
        <img
          class="logo"
          src="assets/img/logos_bhd/logo_horizontal.svg"
          alt=""
        />

        <div class="input">
          <ion-input
            placeholder="Numero de cédula"
            formControlName="username"
            type="text"
            [ngClass]="{'ion-input-error': errorControl.username.errors?.required && !errorControl.username.untouched}"
          >
          </ion-input>

          <span
            class="error ion-padding"
            *ngIf="errorControl.username.errors?.required && !errorControl.username.untouched"
          >
            Debes ingresar un número de documento
          </span>
        </div>
        <div class="input">
          <ion-input
            placeholder="Contraseña"
            formControlName="password"
            type="password"
            [ngClass]="{'ion-input-error': errorControl.password.errors?.required && !errorControl.password.untouched}"
          >
          </ion-input>
          <span
            class="error ion-padding"
            *ngIf="errorControl.password.errors?.required && !errorControl.password.untouched"
          >
            Debes ingresar una contraseña
          </span>
        </div>
        <div class="input-toggle">
          <ion-toggle
            id="save-toggle"
            formControlName="save"
            color="secondary"
          ></ion-toggle>
          <label for="save-toggle"> Recordar usuario</label>
        </div>
        <button type="submit" class="button-submit" [disabled]="!form.valid">
          Iniciar sesión
        </button>
      </div>
      <div class="img">
        <img src="assets/img/bkg.png" alt="">
      </div>
    </form>
  </ion-content>
</ion-app>
